Bug 52175 - up2date deletes existing tripwire directory when failing to upgrade
up2date deletes existing tripwire directory when failing to upgrade
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: tripwire (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 07:38 EDT by Need Real Name
Modified: 2015-01-07 18:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-07 19:23:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-21 07:38:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.74 [en] (WinNT; U)

Description of problem:
I had installed tripwire 2.43-7 directly from tripwire.org and later ran up2date to update my RedHat 7.0 system. One of the updates
available (although not recommended due to a configuration difference) was tripwire so I decided to update that too. The package (claimed to be 
version 2.3.0-58) was installed by up2date and it said it backed up the files in /etc/tripwire to name.orig. However, after the installation was 
complete, the whole directory /etc/tripwire had been deleted.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Install RedHat 7.0
2. Install tripwire 2.43-7
3. run up2date (and disconnect after the package has downloaded)
	

Actual Results:  /etc/tripwire deleted

Expected Results:  Claimed to back up trip wire configuration files in /etc/tripwire as name.orig

Additional info:
Comment 1 Adrian Likins 2001-08-22 15:18:35 EDT
This sounds more like a package bug or an rpm bug than a up2date bug at
first glance.

I'm not sure I understand the part about "disconnecting after downloading
the packages". What do you mean by disconnecting?  If your just killing the
client at this point, you might be killing the app as it is installing packages.
If this is the case, it could definately cause problems.

whats the status of the current installed tripwire rpms?

     rpm -q tripwire
     rpm -V tripwire
Comment 2 Need Real Name 2001-08-23 06:26:10 EDT
Disconnecting after downloading - the download was complete and up2date was "installing the software". During this time the connection timed out due to 
inactivity. Up2date proceeded with the install, stated that it was backing up the config files in /etc/tripwire and when the installation "finished" I was left with 
no config file directory! The up2date client was not killed nor was the installation process although I know up2date does attempt network activity AFTER 
installing a package and that probably failed. Whatever, I would not expect and existing directory and contents to be deleted by this process.

I have reinstalled the tripwire package that I downloaded from tripwire.org, i.e. 2.3-47
rpm -q tripwire
tripwire-2.3-47
rpm -V tripwire
SM5...T   /etc/tripwire/twpol.txt
/var/tmp/rpm-tmp.5295: line 8: unexpected EOF while looking for matching '"'
/var/tmp/rpm-tmp.5295: line 16: syntax error: unexpected end of file
error: execution of %verify scriptlet from tripwire-2.3-47 failed, exit status 2
Comment 3 Need Real Name 2002-03-07 16:44:14 EST
I have experienced the same problem with Redhat Linux 7.2.  I used the tripwire 
2.43-7 RPM package from tripwire.org.  After running up2date yesterday, 
tripwire is now at 2.3.1-5.  However, during the process, it seems the 
entire /etc/tripwire directory was deleted.  

[root@localhost log]# ls -al rpmpkgs.1
-rw-r--r--    1 root     root        16649 Mar  2 13:50 rpmpkgs.1
[root@localhost log]# cat rpmpkgs.1 | grep tripwire
tripwire-2.3-47.i386.rpm
[root@localhost log]# ls -al rpmpkgs
-rw-r--r--    1 root     root        16821 Mar  7 04:02 rpmpkgs
[root@localhost log]# cat rpmpkgs | grep tripwire
tripwire-2.3.1-5.i386.rpm
[root@localhost log]# ls -al up2date
-rw-r--r--    1 root     root         7027 Mar  6 03:50 up2date
[root@localhost log]# cat up2date | grep tripwire
[Wed Mar  6 03:15:30 2002] up2date getAdvisoryInfo for tripwire-2.3-47
[Wed Mar  6 03:15:30 2002] up2date getAdvisoryInfo for tripwire-0-0
[Wed Mar  6 03:15:30 2002] up2date installing packages: ['kernel-2.4.9-
31', 'kernel-headers-2.4.9-31', 'apache-1.3.22-2', 'apache-devel-1.3.22-
2', 'initscripts-6.43-1', 'modutils-2.4.13-0.7.1', 'ncurses4-5.0-5', 'perl-
5.6.1-26.72.3', 'tripwire-2.3.1-5', 'perl-CGI-2.752-26.72.3', 'perl-CPAN-
1.59_54-26.72.3', 'perl-DB_File-1.75-26.72.3', 'perl-NDBM_File-1.75-26.72.3']
[Wed Mar  6 03:15:30 2002] up2date Removing packages from package profile: 
['apache-1.3.20-16', 'apache-devel-1.3.20-16', 'initscripts-6.40-1', 'kernel-
headers-2.4.9-21', 'modutils-2.4.10-1', 'ncurses4-5.0-4', 'perl-5.6.0-
17', 'tripwire-2.3-47']
[Wed Mar  6 03:15:30 2002] up2date Adding packages to package profile: ['apache-
1.3.22-2', 'apache-devel-1.3.22-2', 'initscripts-6.43-1', 'kernel-2.4.9-
31', 'kernel-headers-2.4.9-31', 'modutils-2.4.13-0.7.1', 'ncurses4-5.0-
5', 'perl-5.6.1-26.72.3', 'perl-CGI-2.752-26.72.3', 'perl-CPAN-1.59_54-
26.72.3', 'perl-DB_File-1.75-26.72.3', 'perl-NDBM_File-1.75-26.72.3', 'tripwire-
2.3.1-5']
[Wed Mar  6 03:15:30 2002] up2date deleting /var/spool/up2date/tripwire-2.3.1-
5.i386.hdr
[Wed Mar  6 03:15:30 2002] up2date deleting /var/spool/up2date/tripwire-2.3.1-
5.i386.rpm
[root@localhost log]# ls -al /etc/tripwire
ls: /etc/tripwire: No such file or directory


Please let me know if you need any other info!





Comment 4 Adrian Likins 2002-03-07 19:23:45 EST
This looks like a packaging bug to me. Reassigning to tripwire.
Comment 5 Mike A. Harris 2002-08-08 02:42:42 EDT
If you used an rpm package from tripwire.org, and upgraded it to the one
provided by Red Hat Linux, or via up2date, then you are doing something
totally unsupported.  Red Hat does not support upgrading packages that
were not supplied by Red Hat.

You can upgrade an official Red Hat package, to an official Red Hat package.

If you use and/or upgrade packages that were not supplied by Red Hat, then
you are using unsupported software, and the unsupported software's rpm
package is what is likely broken in this case.  That is not something we
support.  I'm not sure why nobody realized this in the bug report until
now.

Closing bug as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.